# Omniyagi

## Introduction

The usual omnidirectional antenna has a radiation pattern of:  
![Radiation Omni](https://upload.wikimedia.org/wikipedia/commons/e/e1/L-over2-rad-pat-per.jpg)

The usual yagi antenna has a radiation pattern as shown in:  
![Radiation Yagi](https://external-content.duckduckgo.com/iu/?u=http%3A%2F%2Fwww.raymaps.com%2Fwp-content%2Fuploads%2F2012%2F02%2FYagi-Antenna-3D-Radiation-Pattern.jpg&f=1&nofb=1&ipt=fe9716b06b1dcb895fc304ee63e020191fc69416890aca1aecc2fe073115926c&ipo=images)

For the sake of brevity, let these simplifications of said radiation patterns be true(within the thought experiment).

![simple omni](images/omni.png)
![simple yagi](images/yagi.png)


## Problem
A radio signal generator is constantly transmitting from an unknown location and the most precise approximation is needed. We have two strategies at our disposae - one for each of the aforementioned antennas respectively.

### Omnidirectional Strategy
Let A be the antenna and the center of the reception circle. The reception circle's radius is 5 units. These units have an unknown real life equivalent; However that is rather irrelevant for the scope of the experiment.
